From 1b9915fcaf6205f718433b904618e1e5a4602c66 Mon Sep 17 00:00:00 2001
From: Keith Winstein <keithw@mit.edu>
Date: Wed, 27 Mar 2013 18:34:21 -0400
Subject: [PATCH 04/40] Bump version to 1.2.4a

---
 configure.ac     | 2 +-
 debian/changelog | 7 +++++++
 scripts/mosh     | 2 +-
 3 files changed, 9 insertions(+), 2 deletions(-)

diff --git a/configure.ac b/configure.ac
index 11d3ecc..282f4ed 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2,7 +2,7 @@
 # Process this file with autoconf to produce a configure script.
 
 AC_PREREQ([2.61])
-AC_INIT([mosh], [1.2.4], [mosh-devel@mit.edu])
+AC_INIT([mosh], [1.2.4a], [mosh-devel@mit.edu])
 AM_INIT_AUTOMAKE([-Wall -Werror foreign])
 m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
 AC_CONFIG_SRCDIR([src/frontend/mosh-client.cc])
diff --git a/debian/changelog b/debian/changelog
index d5ba2ba..47f588f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+mosh (1.2.4a-1) unstable; urgency=low
+
+  * Eliminate redundant ocb.cc test (fixes build warning on ARM/MIPS/s390)
+  * Add explicit cast to int (fixes build warning on older gcc)
+
+ -- Keith Winstein <keithw@mit.edu>  Wed, 27 Mar 2013 18:32:33 -0400
+
 mosh (1.2.4-1) unstable; urgency=low
 
   * Version 1.2.4 released.
diff --git a/scripts/mosh b/scripts/mosh
index 30da42e..c9e6c29 100755
--- a/scripts/mosh
+++ b/scripts/mosh
@@ -30,7 +30,7 @@
 #   this exception statement from all source files in the program, then
 #   also delete it here.
 
-my $MOSH_VERSION = '1.2.4';
+my $MOSH_VERSION = '1.2.4a';
 
 use warnings;
 use strict;

